package singlesignout;

import javax.servlet.annotation.*;
import javax.servlet.http.*;

/**
 * Servlet implementation class LogoutServlet
 */
@ServletSecurity(value = @HttpConstraint(rolesAllowed = {"test"}))
@WebServlet("/logout")
public class LogoutServlet extends HttpServlet
{
  //~ Methods --------------------------------------------------------------------------------------

  /**
   * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
  {
    System.out.println("Calling session invalidate from " + request.getContextPath() + " using classloader " + Thread.currentThread().getContextClassLoader());
    request.getSession().invalidate();
  }
}
