package singlesignout;

import javax.servlet.*;
import javax.servlet.annotation.*;
import javax.servlet.http.*;

/**
 * Application Lifecycle Listener implementation class SessionValueListener
 */
@WebListener public class SessionValue implements HttpSessionBindingListener
{
  //~ Methods --------------------------------------------------------------------------------------

  /**
   * @see HttpSessionBindingListener#valueBound(HttpSessionBindingEvent)
   */
  public void valueBound(HttpSessionBindingEvent arg0)
  {
  }


  /**
   * @see HttpSessionBindingListener#valueUnbound(HttpSessionBindingEvent)
   */
  public void valueUnbound(HttpSessionBindingEvent arg0)
  {
    ServletContext servletContext = arg0.getSession().getServletContext();
    System.out.println(servletContext.getContextPath() + " VALUE UNBOUND using classloader " + Thread.currentThread().getContextClassLoader());
  }
}
